//---------------------------------------------------------------------------
#ifndef uStylesH
#define uStylesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Forms.hpp>
#include "uDocument.h"
#include "CCheckB.h"
#include "CComboBx.h"
#include "CEdit.h"
#include "CGBox.h"
#include "CForm.h"
#include <Buttons.hpp>
#include <Controls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <StdCtrls.hpp>
#include "CRadBtn.h"
#include "CBitBtn.h"
//---------------------------------------------------------------------------
class ETATAPI TfrmStyles;
class TfrmStyles : public CEICForm
{
__published:	// Composants gérés par l'EDI  
  TPanel *Panel1;
  TGroupBox *gpb;
  TPanel *pnl1;
  TListBox *lstStyles;
  TPanel *pnl2;
  TPanel *pnl3;
  TPanel *pnNomStyle;
  CEdit *eNomStyle;
  TPanel *pnPolice;
  CCheckBox *chkPolice;
  CGroupBox *gbPolice;
  TBitBtn *btPolice;
  CCheckBox *chkTailleFontModifiable;
  TPanel *pnCouleurFond;
  CCheckBox *chkCouleurFond;
  TBitBtn *btCouleurFond;
  TPanel *pnStyleFond;
  CCheckBox *chkStyleFond;
  CGroupBox *gbStyleFond;
  CComboBox *cbStyleFond;
  CCheckBox *chkStyleFondModifiable;
  TFontDialog *FontDialog1;	  
  TColorDialog *ColorDialog1;
  TPanel *pnPresentation;
  CGroupBox *gbPresentation;
  CRadioButton *rbGauche;
  CRadioButton *rbCentre;
  CRadioButton *rbDroite;
  CCheckBox *chkPresentation;
  CCheckBox *chkNomPoliceModifiable;
  TPanel *pnApercuPolice;
  TGroupBox *GroupBox1;
  TPanel *pnApercuCoulFd;
    CBitBtn *btnInserer;
    CBitBtn *btnSupprimer;
    CBitBtn *btnFermer;
  void __fastcall lstStylesClick(TObject *Sender);
  void __fastcall eNomStyleExit(TObject *Sender);
  void __fastcall chkPoliceCheck(TObject *Sender, bool bIsChecked);
  void __fastcall chkTailleFontModifiableCheck(TObject *Sender,
          bool bIsChecked);
  void __fastcall btPoliceClick(TObject *Sender);
  void __fastcall btCouleurFondClick(TObject *Sender);
  void __fastcall cbStyleFondChange(TObject *Sender);
  void __fastcall cbStyleFondDrawItem(TWinControl *Control, int Index,
          const TRect &Rect, TOwnerDrawState State);
  void __fastcall FontDialog1Show(TObject *Sender);
  void __fastcall btnInsererClick(TObject *Sender);
  void __fastcall btnSupprimerClick(TObject *Sender);
  void __fastcall FormActivate(TObject *Sender);
  void __fastcall rbGaucheCheck(TObject *Sender, bool bIsChecked);
private:	// Déclarations utilisateur
  TDocument      *pDocCourant;
  EICListStyle   *pLstStylesCourante;
  void __fastcall InitEcranQuandHorsGenetat( void);
  void __fastcall VisibiliteDesElementsDuStyle( void);
  void __fastcall AjoutColorPerso( const AnsiString &asLstColorPerso);
  AnsiString __fastcall RecupColorPerso( void);
  void __fastcall InitEcran( void);
  void __fastcall EcranIsInit( bool bInit);
  static CEICForm *__export CreateInstance(TComponent *Owner);
public:		// Déclarations utilisateur
  __fastcall TfrmStyles(TComponent* Owner);
  void _fastcall InitStylesAvecDoc( TDocument *pDoc);
  void _fastcall InitStylesAvecListeStyles( EICListStyle *pLstStyles);
  virtual __fastcall ~TfrmStyles();
};
//---------------------------------------------------------------------------
void __export __fastcall AfficheStyles( TComponent* Owner, EICListStyle *pLstStyles);
//---------------------------------------------------------------------------
#endif
